
RADOS - Fix #6676

osd should never block getting filestore throttle while holding the pg lock
Description

Currently, it is possible for the filestore finisher threads to block trying to acquire a pg lock in order to complete an op.  This might

cause that op to block until a filestore sync happens.

commit callback (filestore finisher)

-> object recovery

(filestore throttle)-> filestore sync

The filestore throttles should be modified so that the various OSD queues can throttle before dispatching an op based on a max op

write size.

History

#1 - 11/13/2013 01:47 PM - Samuel Just

- Target version deleted (v0.73)

#2 - 11/13/2013 01:47 PM - Ian Colle

- translation missing: en.field_story_points set to 5.0

#3 - 03/11/2019 09:37 PM - Patrick Donnelly

- Project changed from Ceph to RADOS

- Start date deleted (10/29/2013)

- Component(RADOS) FileStore, OSD added
